var React = require('react');
var BemMixin = require('./BemMixin');

var PropTypes = React.PropTypes;

var Icon = React.createClass({
    displayName: 'Icon',
    mixins: [BemMixin]
});

// @ifdef DEBUG
Icon.propTypes = {
    url: PropTypes.string,
    mod: PropTypes.string
};
// @endif

module.exports = Icon;
